
function Skinner:AucAdvanced()
	if not self.db.profile.AuctionFrame then return end

	-- hook this to skin Slide bar
	local sblib = LibStub:GetLibrary("SlideBar")
	if sblib.frame then
	    self:applySkin(sblib.frame)
	    if self.db.profile.Tooltips.skin then
	        if self.db.profile.Tooltips.style == 3 then sblib.tooltip:SetBackdrop(backdrop) end
            self:SecureHook(sblib.tooltip, "Show", function(this, ...)
                self:skinTooltip(sblib.tooltip)
                end)
	    end
	end
	
	-- hook this to skin Configator frames
	local clib = LibStub:GetLibrary("Configator")
	self:Hook(clib, "Create", function(this, ...)
		local frame = self.hooks[clib].Create(this, ...)
--        self:Debug("nC_C: [%s]", frame:GetName())
		if not frame.skinned then
			self:applySkin(frame)
			frame.skinned = true
		end
		-- skin the Tooltip
		if self.db.profile.Tooltips.skin then
            if self.db.profile.Tooltips.style == 3 then clib.tooltip:SetBackdrop(backdrop) end
		    self:SecureHook(clib.tooltip, "Show", function(this, ...)
            self:skinTooltip(clib.tooltip)
		        end)
		end
		  
		-- skin the Help frame
		self:applySkin(clib.help)
		self:skinUsingBD2(clib.help.scroll.hScroll)
		self:skinUsingBD2(clib.help.scroll.vScroll)
		
		-- hook this to skin various controls
		self:Hook(frame, "AddControl", function(this, id, cType, column, ...)
--            self:Debug("nC_C_AC: [%s, %s, %s, %s]", id, cType, column, ...)
			local control = self.hooks[frame].AddControl(this, id, cType, column, ...)
			-- skin the sub-frame if required
			if not this.tabs[id][2].skinned then 
				self:applySkin(this.tabs[id][2])
				this.tabs[id][2].skinned = true
			end
			-- skin the DropDown
			if cType == "Selectbox" then 
				self:keepFontStrings(control)
				if not SelectBoxMenu.skinned then 
					self:applySkin(SelectBoxMenu.back)
					SelectBoxMenu.skinned= true
				end
			end
			if cType == "Text" then self:skinEditBox(control, {9}) end
			if cType == "NumberBox" then self:skinEditBox(control, {9}) end
			if cType == "MoneyFrame" or cType == "MoneyFramePinned" then self:skinMoneyFrame(control) end
			return control
			end, true)
		return frame
		end, true)
	
end
